#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <string>
using namespace std;


int mycompare(long long int  a,long long int b )
{
    std::string p1 = std::to_string(a);
    std::string p2 = std::to_string(b);
    string XY = p1.append(p2);
    string YX = p2.append(p1);
    return XY.compare(YX) > 0 ? 1: 0;
}


int main()
{
    long long int a[3];
  
    for(int i=0;i<3;i++)scanf("%lld",&a[i]);
    printf("\n");
    sort(a,a+3,mycompare);
    for(int i=0;i<3;i++)
        printf("%lld",a[i]);


    return 0;
}